// load in and process data 
import {
  csv,
} from 'd3';

export const loadAndProcessData = () => 

csv('https://vizhub.com/KCachel/datasets/londonairqualityYearlyPM25.csv')
  .then(rawData => {
    const data = rawData.filter(d => d.Date !== '');
    data.columns = rawData.columns;
    
    console.log(data);
    
    data.forEach(d => {
      d.Date = new Date(d.Date);
      d['2010'] = parseFloat(d['2010']);
      d['2011'] = parseFloat(d['2011']);
      d['2012'] = parseFloat(d['2012']);
      d['2013'] = parseFloat(d['2013']);
      d['2014'] = parseFloat(d['2014']);
      d['2015'] = parseFloat(d['2015']);
      d['2016'] = parseFloat(d['2016']);
      d['2017'] = parseFloat(d['2017']);
      d['2018'] = parseFloat(d['2018']);
    });

    return data;
  });